#pragma once 

#define IN_RING3
#include <VBox/pdmdev.h>
#include <VBox/pdmdrv.h>
#include <VBox/pdmusb.h>
#include <VBox/pgm.h>

int VirtualKDPortOutHandler(PPDMDEVINS pDevIns, void *pvUser, RTIOPORT Port, uint32_t u32, unsigned cb);
int VirtualKDPortInHandler(PPDMDEVINS pDevIns, void *pvUser, RTIOPORT Port, uint32_t *pu32, unsigned cb);

typedef unsigned (*PKDRPCHANDLER)(char *pCommandBody, unsigned CommandBodyLength, char **ppReply);
typedef void (*PPARAMETERLESSPROC)();

extern PKDRPCHANDLER g_KDRPCHandler;
extern PPARAMETERLESSPROC g_KDRPCShutdown, g_KDRPCInit;
